MDB compatible with Alpine.js?


Topic: MDB compatible with Alpine.js?

daveboo asked a year ago

Compatibility Question

Is it possible to combine alpine.js and MDB/BS5?

Basically, I want to take advantage of data binding and event handling with alpine, but still style my components with MDB. This assumes I can also use BS5 classes with an MDB install (or do I need to also install BS5 to add BS classes if an MDB component doesn't get me all the way there?)

Thanks for help on either question.


Grzegorz Bujański staff answered a year ago

Hard to say. We have no experience with MDB/BS5 and Alpine.js integration. Theoretically, everything should work fine. But as I mentioned before, we have no experience with this type of integration. You must check it on your own and at your own risk.

BS5 is an integral part of the MDB. After installing MDB, you don't need to install BS5 separately. We made sure that after installing MDB all BS5 features were immediately available.


Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue
  • User: Free
  • Premium support: No
  • Technology: MDB Standard
  • MDB Version: 3.2.0
  • Device: mac
  • Browser: chrome
  • OS: os
  • Provided sample code: No
  • Provided link: No
Tags